BooleanPropertyExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.BooleanPropertyExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class BooleanPropertyExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.AbstractExecutor
          org.apache.velocity.runtime.parser.node.PropertyExecutor
              org.apache.velocity.runtime.parser.node.BooleanPropertyExecutor

public class BooleanPropertyExecutor
extends PropertyExecutor

Handles discovery and valuation of a boolean object property, of the form public boolean is when executed. We do this separately as to preserve the current quasi-broken semantics of get get< flip 1st char> get("property") and now followed by is

Version:
  $Id: BooleanPropertyExecutor.java 687502 2008-08-20 23:19:52Z nbubna $
Author:
  Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`log`

Constructor Summary
`BooleanPropertyExecutor(Log log, Introspector introspector, Class clazz, String property)`
`BooleanPropertyExecutor(RuntimeLogger rlog, Introspector introspector, Class clazz, String property)` Deprecated. RuntimeLogger is deprecated. Use the other constructor.

Method Summary
`protected void` | `discover(Class clazz, String property)`

Methods inherited from class org.apache.velocity.runtime.parser.node.PropertyExecutor
`execute, getIntrospector`

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`getMethod, isAlive, setMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanPropertyExecutor

    public BooleanPropertyExecutor(Log log,
                                   Introspector introspector,
                                   Class clazz,
                                   String property)

Parameters:
  `log` -
  `introspector` -
  `clazz` -
  `property` -
Since:
  1.5

### BooleanPropertyExecutor

    public BooleanPropertyExecutor(RuntimeLogger rlog,
                                   Introspector introspector,
                                   Class clazz,
                                   String property)

  Deprecated. RuntimeLogger is deprecated. Use the other constructor.

Parameters:
  `rlog` -
  `introspector` -
  `clazz` -
  `property` -

Method Detail

### discover

    protected void discover(Class clazz,
                            String property)

  Overrides:
    `discover` in class `PropertyExecutor`
  Parameters:
    `clazz` -
    `property` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.